using GuideScreen.Common.Common;
using PVDEMCS.Common.DI;
using System;

namespace PVDEMCS.Services
{
    /// <summary>
    /// 日志服务 接口
    /// </summary>
    public interface ILogService : IDependency
    {
        string LogDirectory { get; }

        void ClearAgoDays(int day);

        void Debug(string msg, Exception err);

        void Debug(string msg, params object[] args);

        void Error(string msg, Exception err);

        void Error(string msg, params object[] args);

        void Fatal(string msg, Exception err);

        void Fatal(string msg, params object[] args);

        void Info(string msg, Exception err);

        void Info(string msg, params object[] args);

        void Trace(string msg, Exception err);

        void Trace(string msg, params object[] args);
    }
}